Page MenuHomePhabricator

[Task] Configure wikidata.org to rely on the wb_changes_subscription table for dispatching.
Closed, ResolvedPublic

Description

Currently, wikidata.org is configured to use hybrid dispatch mode (we have 'subscriptionLookupMode' => 'subscriptions+sitelinks' in the settings). Since T110339 is now closed, we should switch to using only the new subscription table, by setting 'subscriptionLookupMode' => 'subscriptions' in the settings.

This alone should improve performance, but more importantly, it allows us to work towards a completely new and more efficient filtering process for dispatching, see T110528.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
Resolvedhoo
Resolvedaude
ResolvedNone
Resolvedaude
ResolvedNone
ResolvedLydia_Pintscher
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
ResolvedNone
Invaliddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolvedhoo
DuplicateNone
Resolvedhoo
Resolvedaude

Event Timeline

daniel created this task.Sep 11 2015, 10:06 AM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 11 2015, 10:06 AM
daniel updated the task description. (Show Details)Sep 11 2015, 10:07 AM
daniel set Security to None.
JanZerebecki renamed this task from Configure wikidata.org to rely on the wb_changes_subscription table for dispatching. to [Task] Configure wikidata.org to rely on the wb_changes_subscription table for dispatching..Sep 11 2015, 10:43 AM
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.

Change 252204 had a related patch set uploaded (by Aude):
Switch dispatcher subscriptionLookupMode to subscriptions only

https://gerrit.wikimedia.org/r/252204

aude claimed this task.Nov 10 2015, 11:32 AM
aude edited projects, added Wikidata-Sprint-2015-11-03; removed Patch-For-Review.
aude moved this task from Proposed to Review on the Wikidata-Sprint-2015-11-03 board.
aude removed a subscriber: gerritbot.

Change 252204 merged by jenkins-bot:
Switch dispatcher subscriptionLookupMode to subscriptions only

https://gerrit.wikimedia.org/r/252204

aude closed this task as Resolved.Nov 10 2015, 4:48 PM
aude moved this task from Review to Done on the Wikidata-Sprint-2015-11-03 board.